#!/usr/bin/perl

use strict;
use Test::More tests => 5;

# 1
BEGIN { use_ok('FDN::Common::FileLock'); }

my $fd;
my $res;
open $fd, '>/tmp/testfile.out';

$res = setlock($fd);

# 2
is ( $res, 1, 'Get lock' );

$res = locked($fd);

# 3
is ( $res, 0, 'Is locked' );

# 4
ok ( unsetlock($fd), 'Un lock' );

# 5
ok ( ! locked($fd), 'Is not locked' );










